# ocean-object-float

[![Travis](https://www.travis-ci.org/liuxing/translator-cli.svg?branch=master)](https://www.travis-ci.org/liuxing/translator-cli)  [![npm version](https://img.shields.io/npm/v/translator-cli.svg)](https://www.npmjs.com/package/translator-cli) [![npm downloads](https://img.shields.io/npm/dm/translator-cli.svg)](https://www.npmjs.com/package/translator-cli) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

> The command line app for ocean-object-float

## Install

```bash
$ npm i ocean-object-float
```

## Features

- the object micro animate effect
- 鼠标上下滚动，控制元件上下（加速）漂浮；

## Usage

```bash
$ ocean-object-float

  Css Usage: 
  .content {
      width: 100%;
      height: 5000px;
  }
  #grk {
      position: absolute;
      top: 1000px;
      height: 100%;
      /* z-index:20; */
  }
  #grk div {
      position: relative;
      width: 960px;
      height: 1280px;
  }
  #grk img {
      position: absolute;
  }
  #grk .g1 {
      top: -35px;
      left: -235px;
  }

  Html Usage: 
  <div class="content"></div>
  <div id="grk">
      <div class="content-div">
          <img src="images/grk_01.png" width="21" height="24" alt="" class="g1 content-img" />
      </div>
  </div>

  JS Usage: 
  $("#grk").autoUpRotate({
    contentSelector: '.content-div',
    imageSelector: '.content-img'
  });

```
