import $ from 'jquery';
import './jquery.transit.min';
(function($) {
    $.fn.autoUpRotate = function(config) {
        var _config = Object.assign(
            {},
            {
                contentSelector: "div",
                imageSelector: "img"
            },
            config
        );
        var $content = this.find(_config.contentSelector);
        var $images = this.find(_config.imageSelector);
        var $contentImage = $content.find(_config.imageSelector);
        var length = $content.length;
        var contentImageLength = $contentImage.length;
        var obj = {};
        for (var i = 0; i < length; i++) {
            var prop = "deg" + (i + 1);
            obj[prop] = 0;
        }
        var $window = $(window);
        var intv, winscr;
        var sft = 1;
        var sizefix = function() {
            winscr = $window.scrollTop();
        };
        sizefix();
        function startTimer() {
            intv = setInterval(function() {
                if (winscr < 700) {
                    for (var i = 0; i < length; i++) {
                        var prop = "deg" + (i + 1);
                        obj[prop] += (3 + (Math.cos(obj[prop]) + 0.3)) / (50 + i * 10);
                    }
                }

                if (Math.abs(sft) > 1) sft *= 0.96;
                $content.css({
                    y: "-=" + sft + "px"
                });

                for (var i = 0; i < contentImageLength; i++) {
                    $images.eq(i * 3 + 1).css({
                        rotate: "+=" + sft * 0.5 * ((i % 2) * 2 - 1) + "deg"
                    });
                }
                if (sft > 0) {
                    for (var i = 0; i < length; i++) {
                        var $el = $content.eq(i);
                        if (winscr > $el.offset().top + 1280) {
                            $el.css({
                                y: "+=2560px"
                            });
                        }
                    }
                } else {
                    for (var i = 0; i < length; i++) {
                        var $el = $content.eq(i);
                        if (winscr < $el.offset().top) {
                            $el.css({
                                y: "-=2560px"
                            });
                        }
                    }
                }
            }, 30);
        }

        setTimeout(function() {
            startTimer();
        }, 3000);

        $window.scroll(function() {
            scrollfunc();
        });

        var scrollfunc = function() {
            if (winscr > $window.scrollTop()) {
                sft -= 0.5;
            } else {
                sft += 0.5;
            }
            winscr = $window.scrollTop();
        };
    };
})($);
